﻿# QVCopier

Queue and Verify File Copier

Alt clone of TeraCopy

## Features

- UI
  - Add files to queue list
  - Before start, preview destination path and check exist 
  - Pause and resume
  - List operation
    - Tabs to filter by status
    - Retry
      -  Error handler when queue finished
      -  Requeue when not finished yet
  - Batch delete source files
- Core
  - Big buffer for optimize performance and reduce device wear
  - Verify CheckSum between source and destination
    - Source file read 1 time, calculate checksum and put to buffer

## Future 

- Save / Load progress

## Technical details

- Runing Hash calcute
  - HashAlgorithm.HashCore
  - HashAlgorithm.HashFinal